View Issue Details

IDProjectCategoryView StatusLast Update
0003756Part[FreeCAD] Bugpublic2019-07-29 14:58
Reporternormandc Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003756: Tooltips should not start with the internal name of the tool
DescriptionMany tooltips for Part command start with the internal name.

For example, the tooltip for Part_Offset2D is

Part_Offset2D: Utility to offset planar shapes

tooltip
The internal name should not appear in the tooltip, also it creates confusion for translators. These commands are the only ones in the whole FreeCAD GUI that do that.

Affected tooltips:
Part_Offset
Part_Offset2D
Part_JoinConnect
Part_BooleanFragments
Part_XOR
Part_MakeFace
Part_Slice
Part_SliceApart
TagsNo tags attached.
FreeCAD Information

Related Changesets

FreeCAD: master 70aaf3e9

2019-01-01 09:54:12

wmayer

Details Diff
fixes 0003756: Tooltips should not start with the internal name of the tool Affected Issues
0003756
mod - src/Mod/Part/BOPTools/JoinFeatures.py Diff File
mod - src/Mod/Part/BOPTools/SplitFeatures.py Diff File
mod - src/Mod/Part/Gui/Command.cpp Diff File

Issue History

Date Modified Username Field Change
2018-12-31 18:58 normandc New Issue
2019-01-01 15:54 wmayer Assigned To => wmayer
2019-01-01 15:54 wmayer Status new => closed
2019-01-01 15:54 wmayer Resolution open => fixed
2019-01-01 15:54 wmayer Fixed in Version => 0.18
2019-01-01 15:54 wmayer Note Added: 0012357
2019-07-29 14:58 Kunda1 Changeset attached => FreeCAD master 70aaf3e9